import { Meta, Story, Canvas, Description } from '@storybook/addon-docs/blocks';
import { withKnobs, boolean, text, select, number } from '@storybook/addon-knobs';
import readme from './readme.md';
import { CalendarButtonSize } from './calendar-button-size.enum';
import { CalendarSelectSize } from './calendar-select-size.enum';

<Meta
  title="Calendar/digi-calendar"
  parameters={{
    actions: {
      handles: [
        'afOnDateSelectedChange',
        'afOnFocusOutside',
        'afOnClickOutside',
        'afOnDirty'
      ]
    }
  }}
/>

<!-- Description pulled from auto generated Stencil docs -->

<Description markdown={readme} />

## Standard

This is the standard calendar.

<Canvas>
  <Story name="Standard">
    /* html */
    {`
      <digi-calendar
        af-active="${boolean('Show calendar', true)}"
      >
      </digi-calendar>
    `}
  </Story>
</Canvas>

## Standard with week number

This is the calendar with week numbers.

<Canvas>
  <Story name="Weeknumbers">
    /* html */
    {`
      <digi-calendar
        af-active="${boolean('Show calendar', true)}"
        af-show-week-number="${boolean('Show week number', true)}"
      >
      </digi-calendar>
    `}
  </Story>
</Canvas>

## Standard with select multiple dates

This is the calendar where you can select multiple dates.

<Canvas>
  <Story name="MultipleDates">
    /* html */
    {`
      <digi-calendar
        af-active="${boolean('Show calendar', true)}"
        af-multiple-dates="${boolean('Select multiple dates', true)}"
      >
      </digi-calendar>
    `}
  </Story>
</Canvas>

## Slotted

This is the standard calendar using slot

<Canvas>
  <Story name="Slotted">
    /* html */
    {`
      <digi-calendar
        af-active="${boolean('Show calendar', true)}"
      >
       <digi-button
          slot="calendar-footer"
          af-variation="primary"
          aria-label="Välj"
          af-size="medium">Välj</digi-button>
        <digi-button
          slot="calendar-footer"
          af-variation="secondary"
          aria-label="Rensa"
          af-size="medium">Rensa</digi-button>
      </digi-calendar>
    `}
  </Story>
</Canvas>
